hpp-constraints: hpp::constraints::ConfigurationConstraint Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::constraints::ConfigurationConstraint Class Reference

Square distance between input configuration and reference configuration. More...

`#include <hpp/constraints/configuration-constraint.hh>`

Inheritance diagram for hpp::constraints::ConfigurationConstraint:
[legend]
Collaboration diagram for hpp::constraints::ConfigurationConstraint:
[legend]

## Public Member Functions
virtual | ~ConfigurationConstraint ()
| ConfigurationConstraint (const std::string &name, const DevicePtr_t &robot, ConfigurationIn_t goal, const vector_t &weights)
const vector_t & | weights () const
void | weights (const vector_t &ws)
const LiegroupElement & | goal () const
Public Member Functions inherited from hpp::constraints::DifferentiableFunction
virtual | ~DifferentiableFunction ()
LiegroupElement | operator() (vectorIn_t argument) const
void | value (LiegroupElementRef result, vectorIn_t argument) const
void | jacobian (matrixOut_t jacobian, vectorIn_t argument) const
const ArrayXb & | activeParameters () const
const ArrayXb & | activeDerivativeParameters () const
size_type | inputSize () const
| Get dimension of input vector.
size_type | inputDerivativeSize () const
LiegroupSpacePtr_t | outputSpace () const
| Get output space.
size_type | outputSize () const
| Get dimension of output vector.
size_type | outputDerivativeSize () const
| Get dimension of output derivative vector.
const std::string & | name () const
| Get function name.
std::string | context () const
void | context (const std::string &c)
void | finiteDifferenceForward (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
void | finiteDifferenceCentral (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
bool | operator== (DifferentiableFunction const &other) const
bool | operator!= (DifferentiableFunction const &b) const
virtual std::pair< JointConstPtr_t, JointConstPtr_t > | dependsOnRelPoseBetween (DeviceConstPtr_t) const

## Static Public Member Functions
static EIGEN_MAKE_ALIGNED_OPERATOR_NEW ConfigurationConstraintPtr_t | create (const std::string &name, const DevicePtr_t &robot, ConfigurationIn_t goal, std::vector< bool > mask=std::vector< bool >(0))
| Return a shared pointer to a new instance.
static ConfigurationConstraintPtr_t | create (const std::string &name, const DevicePtr_t &robot, ConfigurationIn_t goal, const vector_t &weights)
Static Public Member Functions inherited from hpp::constraints::DifferentiableFunction
static DifferentiableFunctionPtr_t | extract (DifferentiableFunctionPtr_t original, interval_t interval)

## Protected Member Functions
virtual void | impl_compute (LiegroupElementRef result, ConfigurationIn_t argument) const
virtual void | impl_jacobian (matrixOut_t jacobian, ConfigurationIn_t arg) const
std::ostream & | print (std::ostream &o) const
| Display object in a stream.
bool | isEqual (const DifferentiableFunction &other) const
Protected Member Functions inherited from hpp::constraints::DifferentiableFunction
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name=std::string())
| Concrete class constructor should call this constructor.
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, const LiegroupSpacePtr_t &outputSpace, std::string name=std::string())
| Concrete class constructor should call this constructor.
virtual void | impl_compute (LiegroupElementRef result, vectorIn_t argument) const =0
| User implementation of function evaluation.
virtual void | impl_jacobian (matrixOut_t jacobian, vectorIn_t arg) const =0
| DifferentiableFunction ()

## Additional Inherited Members
Protected Attributes inherited from hpp::constraints::DifferentiableFunction
size_type | inputSize_
| Dimension of input vector.
size_type | inputDerivativeSize_
| Dimension of input derivative.
LiegroupSpacePtr_t | outputSpace_
| Dimension of output vector.
ArrayXb | activeParameters_
ArrayXb | activeDerivativeParameters_

## Detailed Description

Square distance between input configuration and reference configuration.

## Constructor & Destructor Documentation

## ◆ ~ConfigurationConstraint()

virtual hpp::constraints::ConfigurationConstraint::~ConfigurationConstraint | ( |  | ) |
| inline virtual

## ◆ ConfigurationConstraint()

hpp::constraints::ConfigurationConstraint::ConfigurationConstraint | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | ConfigurationIn_t | goal,
|  | const vector_t & | weights )

Parameters

  weights | vector of size robot->numberDof()

## Member Function Documentation

## ◆ create() [1/2]

static ConfigurationConstraintPtr_t hpp::constraints::ConfigurationConstraint::create | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | ConfigurationIn_t | goal,
|  | const vector_t & | weights )
| static

Return a shared pointer to a new instance

Parameters

  weights | vector of size robot->numberDof()

## ◆ create() [2/2]

static EIGEN_MAKE_ALIGNED_OPERATOR_NEW ConfigurationConstraintPtr_t hpp::constraints::ConfigurationConstraint::create | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | ConfigurationIn_t | goal,
|  | std::vector< bool > | mask = std::vector< bool >(0) )
| static

Return a shared pointer to a new instance.

## ◆ goal()

const LiegroupElement & hpp::constraints::ConfigurationConstraint::goal | ( |  | ) | const
| inline

## ◆ impl_compute()

virtual void hpp::constraints::ConfigurationConstraint::impl_compute | ( | LiegroupElementRef | result,
|  | ConfigurationIn_t | argument ) const
| protected virtual

Compute value of error

Parameters

  argument | configuration of the robot,

Return values

  result | error vector

## ◆ impl_jacobian()

virtual void hpp::constraints::ConfigurationConstraint::impl_jacobian | ( | matrixOut_t | jacobian,
|  | ConfigurationIn_t | arg ) const
| protected virtual

## ◆ isEqual()

bool hpp::constraints::ConfigurationConstraint::isEqual | ( | const DifferentiableFunction & | other | ) | const
| inline protected virtual

Reimplemented from hpp::constraints::DifferentiableFunction.

## ◆ print()

std::ostream & hpp::constraints::ConfigurationConstraint::print | ( | std::ostream & | o | ) | const
| protected virtual

Display object in a stream.

Reimplemented from hpp::constraints::DifferentiableFunction.

## ◆ weights() [1/2]

const vector_t & hpp::constraints::ConfigurationConstraint::weights | ( |  | ) | const
| inline

## ◆ weights() [2/2]

void hpp::constraints::ConfigurationConstraint::weights | ( | const vector_t & | ws | ) |

The documentation for this class was generated from the following file:

- include/hpp/constraints/configuration-constraint.hh